1. Video Generation
PixVerse Platform Docs
  • C1 released!
  • V6 released!
  • Learn about PixVerse Platform
    • Introduce to PixVerse Platform
    • Quick Start
    • PixVerse-api-llm.txt
  • Getting started
    • How does the API work?
    • How to get API key?
    • How to check account balance?
    • How to subscribe API plans?
    • How to use Text-to-video
    • How to use Image-to-video
    • How to use Effects?
    • How to use Image template?
    • How to use Transition(First-last frame Feature)
    • How to use Speech(Lip sync)?
    • Lip sync TTS speaker list
    • How to use Extend?
    • How to use Sound effects?
    • How to use Fusion(Reference to video)?
    • How to use Restyle?
    • How to use Multi-transition?
    • How to use Swap?
    • How to use Mimic?
    • How to use Modify?
    • How to get video generation status?
    • How to use Webhook
  • API Reference
    • API Parameter Description
    • Video Generation
      • Text-to-Video generation
        POST
      • Image-to-Video generation
        POST
      • Template video generation
        POST
      • Transition(First-last frame) generation
        POST
      • Speech(Lipsync) generation
        POST
      • Get Speech(Lipsync) tts list
        GET
      • Fusion(reference to video) generation
        POST
      • Multi-transition video generation
        POST
      • Restyle video generation
        POST
      • Restyle effect list
        GET
      • Swap mask generation
        POST
      • Swap video generation
        POST
      • Sound effect generation
        POST
      • Extend generation
        POST
      • Get Video Generation Status
        GET
      • Mimic generation
        POST
      • Modify generation
        POST
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Upload Video&audio
      POST
    • Get user credit balance
      GET
  • Trouble Shooting
    • Common errors and Solutions
    • Error codes
    • FAQ
  • Resources
    • Model & Pricing
    • Rate limit
    • Support
    • Change Logs
    • Term of Service
    • Privacy policy
  • PixVerse Tools
    • PixVerse MCP
  1. Video Generation

Extend generation

POST
/openapi/v2/video/extend/generate
Extend generation

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
curl --location --request POST 'https://app-api.pixverse.ai/openapi/v2/video/extend/generate' \
--header 'Ai-Trace-Id: {{$string.uuid}}' \
--header 'API-KEY: your-api-key' \
--header 'Content-Type: application/json' \
--data-raw '{
  "source_video_id": 0,
  //"video_media_id":0, //'\''video_id'\'' returned from the generation API
  "prompt": "across the universe",
  "seed": 123123,
  "quality": "540p",
  "duration": 5,
  "model": "v4.5",
  "motion_mode": "normal",
  //"style": "clay"
}'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "video_id": 0,
        "credit":0
    }
Previous
Sound effect generation
Next
Get Video Generation Status